import Component from '../component.js';
import DivComponent from '../div.js';
import FormComponent from '../form.js';
import CoEuiIconInput from './eui-icon-input.js';
import CoEuiIconSvg from './eui-icon-svg.js';
import CoEuiInputText from './eui-input-text.js';

export default class CoEuiTableFilter extends Component {
  constructor(parent) {
    let selector = 'eui-table-filter';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-table/filter/eui-table-filter.component.html?at=master
  }
  get filterCO() {
    return new DivComponent(this.currentPath).addPredicateClassContains('eui-table__filter');
  }
  get formCO() {
    return new FormComponent(this.filterCO);
  }
  get iconInputCO() {
    return new CoEuiIconInput(this.formCO);
  }
  get searchIconCO() {
    return new CoEuiIconSvg(this.iconInputCO);
  }
  get filterInputCO() {
    return new CoEuiInputText(this.iconInputCO).addPredicateClassContains('eui-table__filter-input');
  }

}
